Alerting & Response/Alert Rules
GETAlertingSince 1.0SynchronousAuth Required
GetAlertInhibitionRule
Retrieve a specific inhibition rule by its identifier
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
ruleIdStringRequiredInhibition rule identifier to retrieve
Responses
Endpoint
GET/api/v1/alerting/inhibition-rules/{ruleId}
/api/v1/alerting/inhibition-rules/{ruleId}
Request Example
curl -X GET '{host}/api/v1/alerting/inhibition-rules/{ruleId}' -H 'Authorization: Bearer {token}'
Response Example
200{
"uuid": "inhib-001",
"name": "Suppress disk alerts when host down",
"description": "Suppress disk alerts when host is unreachable",
"sourceMatch": "alertname=HostDown",
"targetMatch": "alertname=DiskFull",
"equalLabels": "host,cluster",
"enabled": true,
"createDate": "example"
}Change History
This API has no change history records yet.
